Newer Version Available

This content describes an older version of this product. View Latest

Clone Record Defaults, Get

Get the default layout information, object information, and data for cloning a record. After getting the default values, make a request to POST /ui-api/records to create the record.

The response contains the default field values for a record cloned from the record specified in {recordId}, optionally of the specified recordTypeId. It also contains the corresponding layout information for Edit mode, and object metadata.

Resource
1/ui-api/record-defaults/clone/{recordId}
Available version
39.0
HTTP methods
GET
Request parameters for GET
Parameter Name Type Description Required or Optional Available Version
formFactor String The layout display size for the record. One of these values:
  • Large—(Default) Use this value to get a layout for desktop display size.
  • Medium—Use this value to get a layout for tablet display size.
  • Small—Use this value to get a layout for phone display size.
Optional 39.0
recordTypeId Id The ID of the record type (RecordType object) for the new record. If not provided, the default record type is used. Optional 39.0
Response body for GET
Record Defaults